/**================================================================================================
Hochschule Luzern - Technik & Architektur                                  Mikrocontroller - HS2012
Copyright 2012 Felix Rohrer                                                    http://hslu.ximit.ch
---------------------------------------------------------------------------------------------------
Name        : Uebung_3-2.c
Author      : Felix Rohrer <felix.rohrer@stud.hslu.ch>
Version     : 2012-09-30v1.0
Description : Entwurf einer bung zum Thema Union
=================================================================================================*/

#include <stdio.h>
#include <stdlib.h>

union uZahl_union {
	int iZahl;
	float fZahl;
};


/**
* The main procedure to run the application.
* @param argc Number of command line arguments
* @param argv The forwarded command line arguments
* @return Application return (error) code
*/
int main(int argc, char** argv)
{
	union uZahl_union uZahl;
	union uZahl_union* uZahlPtr;
	uZahlPtr = &uZahl;

	printf("Set int-union = 5 ...\n");
	uZahlPtr->iZahl = 5;
	printf("Union int:   %d\n", uZahlPtr->iZahl);
	printf("Union float: %f\n\n", uZahlPtr->fZahl);

	printf("Set float-union = 3.1415 ...\n");
	uZahlPtr->fZahl = 3.1415f;
	printf("Union int:   %d\n", uZahlPtr->iZahl);
	printf("Union float: %f\n\n", uZahlPtr->fZahl);



	printf("\n\nPress [Enter] to exit...");
	getchar();
	return(EXIT_SUCCESS);
}